{% extends 'layout.twig' %}

{% block body %}
    <h1>Sample Ethereum Project</h1>
    <select name="account" data-width="100%">
        {% for key,val in accounts %}
            <option value="{{ val }}">{{ val }}</option>
        {% endfor %}
    </select>

    </br>

    <button onclick="deploy()">DEPLOY</button>

    </br>

    <button onclick="transfer()">TRANSFER</button>

{% endblock %}

{% block scripts %}
    <script>
        let deploy = () => {
            $.ajax({
                url: "/contracts/deploy",
                method: "POST",
                data: {
                    address: "0xfe945de8bf0653cde604e52ab36dad78e554815d"
                },
                success: function (result) {
                    console.log(result)
                },
                error: function (error) {
                    console.log(error)
                }
            });
        }

        let transfer = () => {
            $.ajax({
                url: "/contracts/transfer",
                method: "POST",
                data: {
                },
                success: function (result) {
                    console.log(result)
                },
                error: function (error) {
                    console.log(error)
                }
            });
        }
    </script>
{% endblock %}

